window.onload = function() {
    var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 0 });
    initSpread(spread);
};

function initSpread(spread) {
    spread.suspendPaint();
    spread.options.autoFitType = GC.Spread.Sheets.AutoFitType.cellWithHeader;

    //init a data manager
    var tableName = "Order";
    var baseApiUrl = getBaseApiUrl();
    var apiUrl = baseApiUrl + "/" + tableName;
    var dataManager = spread.dataManager();
    var myTable = dataManager.addTable("myTable", {
        remote: {
            read: {
                url: apiUrl
            }
        }
    });

    //Initialize a table sheet
    var sheet = spread.addSheetTab(0, "TableSheet1", GC.Spread.Sheets.SheetType.tableSheet);
    sheet.options.allowAddNew = false; //hide new row
    sheet.actionColumn.options({ visible: false }); //hide action column

    //bind a view to the table sheet
    myTable.fetch().then(function() {
        var style = { formatter: 'MM/dd/yyyy' };
        var view = myTable.addView("myView", [
            { value: "Id", width: 80 },
            { value: "CustomerId", width: 100 },
            { value: "ShipName", width: 100 },
            { value: "EmployeeId", width: 120 },
            { value: "OrderDate", width: 100, style: style },
            { value: "RequiredDate", width: 120, style: style },
            { value: "ShippedDate", width: 120, style: style },
            { value: "ShipVia", width: 80 },
            { value: "Freight", width: 80 },
            { value: "ShipAddress", width: 120 },
            { value: "ShipCity", width: 100 },
            { value: "ShipRegion", width: 100 },
            { value: "ShipPostalCode", width: 140 },
            { value: "ShipCountry", width: 120 }
        ]); //the View has all default columns of the Table
        sheet.setDataView(view);
    });

    spread.resumePaint();
}

function getBaseApiUrl() {
    return 'https://www.grapecity.com/spreadjs/demos/features/table-sheet/overview/purejs'.match(/http.+spreadjs\/demos\//)[0] + 'server/api';
}